Skip to main content
`Ctrl`+`K`

# STGetPreconditionerMat

Returns the matrix previously set by `STSetPreconditionerMat()`.

## Synopsis

    #include "slepcst.h"
    PetscErrorCode STGetPreconditionerMat(ST st,Mat *mat)

Not Collective

## Input Parameter

- st - the spectral transformation context

## Output Parameter

- mat - the matrix that will be used in constructing the preconditioner or `NULL` if no matrix was set by `STSetPreconditionerMat()`.

## See Also

ST: Spectral Transformation, `STSetPreconditionerMat()`

## Level

advanced

## Location

src/sys/classes/st/interface/stfunc.c

Index of all ST routines Table of Contents for all manual pages Index of all manual pages